Bug 75092 - Gcc fails to compile code like 'extern int foofunction(...'
Summary: Gcc fails to compile code like 'extern int foofunction(...'
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-04 12:57 UTC by Need Real Name
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-05 04:37:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-10-04 12:57:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Gcc fails to compile kernel 2.4.18-14 from src-rpm.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.make xconfig
2.make dep
3.make bzImage
4 make modules
	

Actual Results:  make[3]: Entering directory
`/usr/src/linux-2.4.18-14/drivers/addon/cipe'
gcc -D__KERNEL__ -I/usr/src/linux-2.4.18-14/include -Wall -Wstrict-prototypes -W
no-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mp
referred-stack-boundary=2 -march=i686 -DMODULE -DMODVERSIONS -include /usr/src/l
inux-2.4.18-14/include/linux/modversions.h  -nostdinc -I /usr/lib/gcc-lib/i386-r
edhat-linux/3.2/include -DKBUILD_BASENAME=module  -c -o module.o module.c
In file included from /usr/src/linux-2.4.18-14/include/linux/if.h:23,
                 from cipe.h:21,
                 from module.c:15:
/usr/src/linux-2.4.18-14/include/linux/socket.h:249: invalid suffix on integer c
onstant
/usr/src/linux-2.4.18-14/include/linux/socket.h:249: parse error before numeric
constant
/usr/src/linux-2.4.18-14/include/linux/socket.h:249: `memcpy_fromiovec_R_ver_str
' declared as function returning a function
/usr/src/linux-2.4.18-14/include/linux/socket.h:249: warning: function declarati
on isn't a prototype
/usr/src/linux-2.4.18-14/include/linux/socket.h:258: invalid suffix on integer c
onstant
/usr/src/linux-2.4.18-14/include/linux/socket.h:258: parse error before numeric
constant
/usr/src/linux-2.4.18-14/include/linux/socket.h:258: `memcpy_toiovec_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.18-14/include/linux/socket.h:258: warning: function declarati
on isn't a prototype


Additional info:

Comment 1 Miloslav Trmac 2002-10-05 04:37:20 UTC
run 'make mrproper' in /usr/src/linux, then try again

Comment 2 Need Real Name 2002-10-08 05:20:54 UTC
I made a new kernel configuration and now it works?-o


Note You need to log in before you can comment on or make changes to this bug.